<?
//include "fe/utils.php";

class navigator_detalhe{   

	function navigator_detalhe($tabela, $id, $idCat){
		
		global $db;
		
		$sql="select id,permalink from noticia where id > '$id' and idCat='$idCat' and estado=1 order by id asc limit 0,1";
		$listaAnterior = $db->get($sql);
		
		$sql="select id,permalink from noticia where id < '$id' and idCat='$idCat'  and estado=1 order by id desc limit 0,1";
		$listaProxima = $db->get($sql);
    	
    	$sql="select id,permalink from noticia where idCat='$idCat'  and estado=1 order by id desc limit 0,1";
		$listaPrimeira = $db->get($sql);
		
		$sql="select id,permalink from noticia where idCat='$idCat'  and estado=1 order by id asc limit 0,1";
		$listaUltima = $db->get($sql);

		$sql="select id from noticia where idCat = '$idCat'  and estado=1 order by id asc";
		$listaNoticias = $db->get($sql);
		$totalNoticias = sizeof($listaNoticias);
		
		$sql="select id,permalink from noticia where id > '$id'  and estado=1  and idCat='$idCat' order by id asc limit 2";
		$listaAnteriores = $db->get($sql);
		
		$sql="select id,permalink from noticia where id < '$id'  and estado=1 and idCat='$idCat' order by id desc limit 0,2";
		$listaProximas = $db->get($sql);  	

		
		if ($id < $listaPrimeira[0]['id'])
        	$this->botaoNavImg($listaPrimeira[0]['permalink'] ,"images/primeira_noticia.gif","primeira noticia"); 

      	if ($listaAnterior[0]['id'])
        	$this->botaoNavImg($listaAnterior[0]['permalink'], "images/anterior_noticia.gif", "noticia anterior");
        	
        if($listaAnteriores[1]['id'])	
        	$this->botaoNav( $listaAnteriores[1]['permalink'], ($totalNoticias - array_search_key($listaAnteriores[1]['id'], $listaNoticias)));	
        	
        if($listaAnteriores[0]['id'])
        	$this->botaoNav( $listaAnteriores[0]['permalink'], ( $totalNoticias - array_search_key($listaAnteriores[0]['id'], $listaNoticias)) );

        //PROPRIO
        echo "<span>".($totalNoticias - array_search_key($id, $listaNoticias))."</span>";
        	
         if($listaProximas[0]['id'])	
        	$this->botaoNav( $listaProximas[0]['permalink'],  ($totalNoticias -array_search_key($listaProximas[0]['id'], $listaNoticias)) );
        	
        if($listaProximas[1]['id'])	
        	$this->botaoNav( $listaProximas[1]['permalink'], ($totalNoticias - array_search_key($listaProximas[1]['id'], $listaNoticias)));	

		if ($listaProxima[0]['id'])
        	$this->botaoNavImg($listaProxima[0]['permalink'], "images/proxima_noticia.gif", "proxima noticia");
			
		if ($id > $listaUltima[0]['id'])
        	$this->botaoNavImg($listaUltima[0]['permalink'] ,"images/ultima_noticia.gif","ultima noticia");
	}

	function botaoNavImg($link, $imagem, $alt="seta"){
        ?><a href="<?=$link?>"><img style="margin-left: 10px;" src="<?=$imagem?>" alt="<?=$alt?>" border="0" align="absmiddle" /></a><?
	}
	
	function botaoNav($link, $char){
        ?> <a href="<?=$link?>" class="link"><?=$char?></a> <?
	}
	
}
?>